FCVolume (CMDB Model API)
Keywords: com.collation.platform.model.topology.dev.FCVolume interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.dev
Interface FCVolume

All Superinterfaces:
  LogicalDevice, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, SCSIVolume, java.io.Serializable, StorageExtent, StorageVolume

    public interface FCVolume

extends SCSIVolume

A volume attached to the host via a FC SAN.

This is a deliberate deviation from SMI-S and CIM in an attempt to simplify it. We're denormalizing the model in order to make it easier to navigate.

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.dev.StorageVolume
`IBM_COPYRIGHT`

Method Summary
`int` | `getFCPLun()` FCP LUN
`java.lang.String` | `getNodeWWN()` FCP node WWN
`java.lang.String` | `getPortWWN()` FCP port WWN
`boolean` | `hasFCPLun()`
`boolean` | `hasNodeWWN()`
`boolean` | `hasPortWWN()`
`void` | `setFCPLun(int lun)`
`void` | `setNodeWWN(java.lang.String nodeWWN)`
`void` | `setPortWWN(java.lang.String portWWN)`

Methods inherited from interface com.collation.platform.model.topology.dev.SCSIVolume
`getSCSIBus, getSCSILun, getSCSITarget, hasSCSIBus, hasSCSILun, hasSCSITarget, setSCSIBus, setSCSILun, setSCSITarget`

Methods inherited from interface com.collation.platform.model.topology.dev.StorageVolume
`getIOGroup, getNumOfCylinders, getType, hasIOGroup, hasNumOfCylinders, hasType, setIOGroup, setNumOfCylinders, setType`

Methods inherited from interface com.collation.platform.model.topology.dev.StorageExtent
`getBasedOn, getBlockSize, getCapacity, getController, getDeviceID, getFreeSpace, getName, getNumOfBlocks, getParent, getRealizedBy, getVirtual, hasBasedOn, hasBlockSize, hasCapacity, hasController, hasDeviceID, hasFreeSpace, hasName, hasNumOfBlocks, hasParent, hasRealizedBy, hasVirtual, setBasedOn, setBlockSize, setCapacity, setController, setDeviceID, setFreeSpace, setName, setNumOfBlocks, setParent, setRealizedBy, setVirtual`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getPortWWN

    java.lang.String getPortWWN()
                                throws AttributeNotSetException

  FCP port WWN

  Throws:
    `AttributeNotSetException`

### setPortWWN

    void setPortWWN(java.lang.String portWWN)

### hasPortWWN

    boolean hasPortWWN()

### getNodeWWN

    java.lang.String getNodeWWN()
                                throws AttributeNotSetException

  FCP node WWN

  Throws:
    `AttributeNotSetException`

### setNodeWWN

    void setNodeWWN(java.lang.String nodeWWN)

### hasNodeWWN

    boolean hasNodeWWN()

### getFCPLun

    int getFCPLun()
                  throws AttributeNotSetException

  FCP LUN

  Throws:
    `AttributeNotSetException`

### setFCPLun

    void setFCPLun(int lun)

### hasFCPLun

    boolean hasFCPLun()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD